%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define pear_xmldir  /var/lib/pear

Name:           php-pear-channel-components
Version:        1.0.0
Release:        %mkrel 7
Summary:        Adds components.ez.no channel to PEAR
Group:          System/Libraries
License:        BSD
URL:            http://components.ez.no/
Source0:        http://components.ez.no/channel.xml
BuildArch:      noarch
BuildRequires:  php-pear
Requires(pre):	php-pear




%description
This package adds the components.ez.no channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}//components.ez.no.xml


%clean

%{__rm} -rf %{buildroot}


%post

if [ $1 -eq  1 ] ; then
   pear channel-add %{pear_xmldir}/components.ez.no.xml > /dev/null || :
else
   pear channel-update %{pear_xmldir}/components.ez.no.xml > /dev/null ||:
fi


%postun

if [ $1 -eq 0 ] ; then
   pear channel-delete components.ez.no > /dev/null || :
fi


%files
%{pear_xmldir}/components.ez.no.xml






%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 934808
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 745623
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 687534
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 1.0.0-4.mga5
+ Revision: 649818
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 517351
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 377506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 16 2011 spuhler <spuhler> 1.0.0-2.mga2
+ Revision: 124832
- increased rel to 2
  changed  pear channel-add %%{pear_xmldir}/pear.symfony-project.com.xml > to
  channel-add %%{pear_xmldir}/components.ez.no.xml > /dev/null |
  and
  changed  pear channel-update %%{pear_xmldir}/pear.symfony-project.com.xml > to
  channel-update %%{pear_xmldir}/components.ez.no.xml > /dev/null |
  changed    pear channel-delete pear.symfony-project.com > /dev/null || :
  to pear channel-delete components.ez.no > /dev/null || :

* Fri Jul 15 2011 spuhler <spuhler> 1.0.0-1.mga2
+ Revision: 124364
- imported package php-pear-channel-components

